Bug 1377567 - Kdump captures a extremely large vmcore
Summary: Kdump captures a extremely large vmcore
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kexec-tools   
(Show other bugs)
Version: 25
Hardware: x86_64
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Pratyush Anand
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1379192
TreeView+ depends on / blocked
 
Reported: 2016-09-20 06:29 UTC by Tong Li
Modified: 2016-10-31 07:36 UTC (History)
4 users (show)

Fixed In Version: kexec-tools-2.0.13-7.fc25
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-31 07:36:59 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
kdump's configuration (71 bytes, text/plain)
2016-09-20 06:29 UTC, Tong Li
no flags Details

Description Tong Li 2016-09-20 06:29:10 UTC
Created attachment 1202714 [details]
kdump's configuration

Description of problem:

Kdump captures a extremely large vmcore after a crash, which is several GBs.

Version-Release number of selected component (if applicable):

kexec-tools-2.0.13-5.fc26.x86_64
kernel-4.8.0-0.rc6.git4.1.fc26.x86_64

How reproducible:


Steps to Reproduce:
1.echo c > /proc/sysrq-trigger
2.
3.

Actual results:

A vmcore file of several GBs

Expected results:

A vmcore file whose size is under 100M

Additional info:

Comment 1 Dave Young 2016-10-26 02:48:50 UTC
Fedora 25 kernel enabled kaslr by default so kdump default config does not work, Pratyush has patches to fix it, it will be likely accepted by upstream soon.

So we should fix it in F25 compose.

Comment 3 Fedora Update System 2016-10-28 14:55:08 UTC
kexec-tools-2.0.13-7.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7a0e28b12e

Comment 4 Fedora Update System 2016-10-31 07:36:59 UTC
kexec-tools-2.0.13-7.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.